明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 204|回复: 7

[提问] 画30宽的多线段

[复制链接]
发表于 2019-9-11 08:42 | 显示全部楼层 |阅读模式
线设置一个快捷键WW3用来画固定宽度为30的多线段,下面代码能画,但是画完下次用PL线画的时候也是30宽,如何修改这个宽度只是这次画30宽,下次用PL线画还是默认0线宽?(defun C:WW3 () (setvar "plinewid" 30)
(COMMAND ".PLINE")
(princ)

)


发表于 2019-9-11 08:50 | 显示全部楼层
本帖最后由 satan421 于 2019-9-11 08:53 编辑

PLINEWID是系统变量,用entmake的方法吧。。。
发表于 2019-9-11 09:37 | 显示全部楼层
本帖最后由 yshf 于 2019-9-11 10:05 编辑

(defun C:WW3 ()
    (setvar "plinewid" 30)
    (command "._pline")
    (while (= (getvar "CMDNAMES") "PLINE")
        (command pause)
    )
    (setvar "plinewid" 0)
    (princ)
)
或者
(defun C:WW3 ()
    (setq wid (getvar "plinewid"))
    (setvar "plinewid" 30)
    (command "._pline")
    (while (= (getvar "CMDNAMES") "PLINE")
        (command pause)
    )
    (setvar "plinewid" wid)
    (princ)
)


评分

参与人数 1明经币 +1 收起 理由
xyp1964 + 1 赞一个!

查看全部评分

发表于 2019-9-11 09:40 | 显示全部楼层
设置了,画完了要恢复原来线宽呀
 楼主| 发表于 2019-9-11 10:03 | 显示全部楼层
yshf 发表于 2019-9-11 09:37
(defun C:WW3 ()
    (setvar "plinewid" 30)
    (command "._pline")

谢谢  可以了
发表于 2019-9-20 02:10 | 显示全部楼层
画圆30宽呢
发表于 2019-9-20 09:53 | 显示全部楼层
试试DONUT命令
发表于 2019-9-20 09:53 | 显示全部楼层
试试DONUT命令 cad自带的
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2019-10-18 14:43 , Processed in 0.189616 second(s), 28 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表